List of all members
clan::RenderBuffer Class Reference
clanDisplay Display

Render-buffer object class. More...

`#include <render_buffer.h>`

## Public Member Functions
Construction
| RenderBuffer ()
| Constructs a null instance. More...
| RenderBuffer (GraphicContext &context, int width, int height, TextureFormat texture_format=tf_rgba8, int multisample_samples=0)
| Constructs a RenderBuffer. More...
Attributes
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
const Size & | get_size () const
| Returns the render buffer size. More...
RenderBufferProvider * | get_provider () const
| Get Provider. More...
Operations
bool | operator== (const RenderBuffer &other) const
| Equality operator. More...

## Detailed Description

Render-buffer object class.

The documentation for this class was generated from the following file:

- render_buffer.h